Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions
Lucene::IntCache Class Reference

`#include <FieldCacheImpl.h>`

Inheritance diagram for Lucene::IntCache:

## Public Member Functions

| IntCache (const FieldCachePtr &wrapper=FieldCachePtr())
virtual | ~IntCache ()
virtual String | getClassName ()
boost::shared_ptr< IntCache > | shared_from_this ()
Public Member Functions inherited from Lucene::Cache
| Cache (const FieldCachePtr &wrapper=FieldCachePtr())
virtual | ~Cache ()
boost::shared_ptr< Cache > | shared_from_this ()
virtual void | purge (const IndexReaderPtr &r)
| Remove this reader from the cache, if present.
virtual boost::any | get (const IndexReaderPtr &reader, const EntryPtr &key)
virtual void | printNewInsanity (const InfoStreamPtr &infoStream, const boost::any &value)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Cache
static String | _getClassName ()

## Protected Member Functions

virtual boost::any | createValue (const IndexReaderPtr &reader, const EntryPtr &key)
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Additional Inherited Members

Data Fields inherited from Lucene::Cache
FieldCacheWeakPtr | _wrapper
WeakMapLuceneObjectMapEntryAny | readerCache
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ IntCache()

Lucene::IntCache::IntCache | ( | const FieldCachePtr & | wrapper = `FieldCachePtr()` | ) |

## ◆ ~IntCache()

virtual Lucene::IntCache::~IntCache | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::IntCache::_getClassName | ( |  | ) |

inline static

## ◆ createValue()

virtual boost::any Lucene::IntCache::createValue | ( | const IndexReaderPtr & | reader,
|  | const EntryPtr & | key
| ) |  |

protected virtual

Implements Lucene::Cache.

## ◆ getClassName()

virtual String Lucene::IntCache::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::Cache.

## ◆ shared_from_this()

boost::shared_ptr< IntCache > Lucene::IntCache::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- FieldCacheImpl.h

clucene.sourceforge.net